Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network70.0.0.0/9
Usable hosts8,388,606
Subnet mask255.128.0.0
Addresses8,388,608
Network address
70.0.0.0
Broadcast address
70.127.255.255
First usable
70.0.0.1
Last usable
70.127.255.254
Usable hosts
8,388,606 (8,388,608 less the network and broadcast addresses)
Subnet mask
255.128.0.0
Wildcard mask
0.127.255.255 (Cisco ACLs, OSPF)
Prefix length
/9
Type
Public public
Old class
A (default /8)
As numbers
Hex 46000000 · Integer 1174405120 to 1182793727
Reverse DNS zones
0.70.in-addr.arpa
1.70.in-addr.arpa
2.70.in-addr.arpa
3.70.in-addr.arpa
4.70.in-addr.arpa
5.70.in-addr.arpa
6.70.in-addr.arpa
7.70.in-addr.arpa
8.70.in-addr.arpa
9.70.in-addr.arpa
10.70.in-addr.arpa
11.70.in-addr.arpa
12.70.in-addr.arpa
13.70.in-addr.arpa
14.70.in-addr.arpa
15.70.in-addr.arpa
and 112 more
/9 is not on a 8-bit boundary, so it takes 128 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01000110.00000000.00000000.0000000070.0.0.0
Subnet mask11111111.10000000.00000000.00000000255.128.0.0
Network01000110.00000000.00000000.0000000070.0.0.0
Broadcast01000110.01111111.11111111.1111111170.127.255.255
Split into smaller subnets/21

70.0.0.0/9 makes 4,096 subnets of /21; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
170.0.0.0/2170.0.0.1 to 70.0.7.25470.0.7.2552,046
270.0.8.0/2170.0.8.1 to 70.0.15.25470.0.15.2552,046
370.0.16.0/2170.0.16.1 to 70.0.23.25470.0.23.2552,046
470.0.24.0/2170.0.24.1 to 70.0.31.25470.0.31.2552,046
570.0.32.0/2170.0.32.1 to 70.0.39.25470.0.39.2552,046
670.0.40.0/2170.0.40.1 to 70.0.47.25470.0.47.2552,046
770.0.48.0/2170.0.48.1 to 70.0.55.25470.0.55.2552,046
870.0.56.0/2170.0.56.1 to 70.0.63.25470.0.63.2552,046
970.0.64.0/2170.0.64.1 to 70.0.71.25470.0.71.2552,046
1070.0.72.0/2170.0.72.1 to 70.0.79.25470.0.79.2552,046
1170.0.80.0/2170.0.80.1 to 70.0.87.25470.0.87.2552,046
1270.0.88.0/2170.0.88.1 to 70.0.95.25470.0.95.2552,046
1370.0.96.0/2170.0.96.1 to 70.0.103.25470.0.103.2552,046
1470.0.104.0/2170.0.104.1 to 70.0.111.25470.0.111.2552,046
1570.0.112.0/2170.0.112.1 to 70.0.119.25470.0.119.2552,046
1670.0.120.0/2170.0.120.1 to 70.0.127.25470.0.127.2552,046
1770.0.128.0/2170.0.128.1 to 70.0.135.25470.0.135.2552,046
1870.0.136.0/2170.0.136.1 to 70.0.143.25470.0.143.2552,046
1970.0.144.0/2170.0.144.1 to 70.0.151.25470.0.151.2552,046
2070.0.152.0/2170.0.152.1 to 70.0.159.25470.0.159.2552,046
2170.0.160.0/2170.0.160.1 to 70.0.167.25470.0.167.2552,046
2270.0.168.0/2170.0.168.1 to 70.0.175.25470.0.175.2552,046
2370.0.176.0/2170.0.176.1 to 70.0.183.25470.0.183.2552,046
2470.0.184.0/2170.0.184.1 to 70.0.191.25470.0.191.2552,046
2570.0.192.0/2170.0.192.1 to 70.0.199.25470.0.199.2552,046
2670.0.200.0/2170.0.200.1 to 70.0.207.25470.0.207.2552,046
2770.0.208.0/2170.0.208.1 to 70.0.215.25470.0.215.2552,046
2870.0.216.0/2170.0.216.1 to 70.0.223.25470.0.223.2552,046
2970.0.224.0/2170.0.224.1 to 70.0.231.25470.0.231.2552,046
3070.0.232.0/2170.0.232.1 to 70.0.239.25470.0.239.2552,046
3170.0.240.0/2170.0.240.1 to 70.0.247.25470.0.247.2552,046
3270.0.248.0/2170.0.248.1 to 70.0.255.25470.0.255.2552,046
3370.1.0.0/2170.1.0.1 to 70.1.7.25470.1.7.2552,046
3470.1.8.0/2170.1.8.1 to 70.1.15.25470.1.15.2552,046
3570.1.16.0/2170.1.16.1 to 70.1.23.25470.1.23.2552,046
3670.1.24.0/2170.1.24.1 to 70.1.31.25470.1.31.2552,046
3770.1.32.0/2170.1.32.1 to 70.1.39.25470.1.39.2552,046
3870.1.40.0/2170.1.40.1 to 70.1.47.25470.1.47.2552,046
3970.1.48.0/2170.1.48.1 to 70.1.55.25470.1.55.2552,046
4070.1.56.0/2170.1.56.1 to 70.1.63.25470.1.63.2552,046
4170.1.64.0/2170.1.64.1 to 70.1.71.25470.1.71.2552,046
4270.1.72.0/2170.1.72.1 to 70.1.79.25470.1.79.2552,046
4370.1.80.0/2170.1.80.1 to 70.1.87.25470.1.87.2552,046
4470.1.88.0/2170.1.88.1 to 70.1.95.25470.1.95.2552,046
4570.1.96.0/2170.1.96.1 to 70.1.103.25470.1.103.2552,046
4670.1.104.0/2170.1.104.1 to 70.1.111.25470.1.111.2552,046
4770.1.112.0/2170.1.112.1 to 70.1.119.25470.1.119.2552,046
4870.1.120.0/2170.1.120.1 to 70.1.127.25470.1.127.2552,046
4970.1.128.0/2170.1.128.1 to 70.1.135.25470.1.135.2552,046
5070.1.136.0/2170.1.136.1 to 70.1.143.25470.1.143.2552,046
5170.1.144.0/2170.1.144.1 to 70.1.151.25470.1.151.2552,046
5270.1.152.0/2170.1.152.1 to 70.1.159.25470.1.159.2552,046
5370.1.160.0/2170.1.160.1 to 70.1.167.25470.1.167.2552,046
5470.1.168.0/2170.1.168.1 to 70.1.175.25470.1.175.2552,046
5570.1.176.0/2170.1.176.1 to 70.1.183.25470.1.183.2552,046
5670.1.184.0/2170.1.184.1 to 70.1.191.25470.1.191.2552,046
5770.1.192.0/2170.1.192.1 to 70.1.199.25470.1.199.2552,046
5870.1.200.0/2170.1.200.1 to 70.1.207.25470.1.207.2552,046
5970.1.208.0/2170.1.208.1 to 70.1.215.25470.1.215.2552,046
6070.1.216.0/2170.1.216.1 to 70.1.223.25470.1.223.2552,046
6170.1.224.0/2170.1.224.1 to 70.1.231.25470.1.231.2552,046
6270.1.232.0/2170.1.232.1 to 70.1.239.25470.1.239.2552,046
6370.1.240.0/2170.1.240.1 to 70.1.247.25470.1.247.2552,046
6470.1.248.0/2170.1.248.1 to 70.1.255.25470.1.255.2552,046
6570.2.0.0/2170.2.0.1 to 70.2.7.25470.2.7.2552,046
6670.2.8.0/2170.2.8.1 to 70.2.15.25470.2.15.2552,046
6770.2.16.0/2170.2.16.1 to 70.2.23.25470.2.23.2552,046
6870.2.24.0/2170.2.24.1 to 70.2.31.25470.2.31.2552,046
6970.2.32.0/2170.2.32.1 to 70.2.39.25470.2.39.2552,046
7070.2.40.0/2170.2.40.1 to 70.2.47.25470.2.47.2552,046
7170.2.48.0/2170.2.48.1 to 70.2.55.25470.2.55.2552,046
7270.2.56.0/2170.2.56.1 to 70.2.63.25470.2.63.2552,046
7370.2.64.0/2170.2.64.1 to 70.2.71.25470.2.71.2552,046
7470.2.72.0/2170.2.72.1 to 70.2.79.25470.2.79.2552,046
7570.2.80.0/2170.2.80.1 to 70.2.87.25470.2.87.2552,046
7670.2.88.0/2170.2.88.1 to 70.2.95.25470.2.95.2552,046
7770.2.96.0/2170.2.96.1 to 70.2.103.25470.2.103.2552,046
7870.2.104.0/2170.2.104.1 to 70.2.111.25470.2.111.2552,046
7970.2.112.0/2170.2.112.1 to 70.2.119.25470.2.119.2552,046
8070.2.120.0/2170.2.120.1 to 70.2.127.25470.2.127.2552,046
8170.2.128.0/2170.2.128.1 to 70.2.135.25470.2.135.2552,046
8270.2.136.0/2170.2.136.1 to 70.2.143.25470.2.143.2552,046
8370.2.144.0/2170.2.144.1 to 70.2.151.25470.2.151.2552,046
8470.2.152.0/2170.2.152.1 to 70.2.159.25470.2.159.2552,046
8570.2.160.0/2170.2.160.1 to 70.2.167.25470.2.167.2552,046
8670.2.168.0/2170.2.168.1 to 70.2.175.25470.2.175.2552,046
8770.2.176.0/2170.2.176.1 to 70.2.183.25470.2.183.2552,046
8870.2.184.0/2170.2.184.1 to 70.2.191.25470.2.191.2552,046
8970.2.192.0/2170.2.192.1 to 70.2.199.25470.2.199.2552,046
9070.2.200.0/2170.2.200.1 to 70.2.207.25470.2.207.2552,046
9170.2.208.0/2170.2.208.1 to 70.2.215.25470.2.215.2552,046
9270.2.216.0/2170.2.216.1 to 70.2.223.25470.2.223.2552,046
9370.2.224.0/2170.2.224.1 to 70.2.231.25470.2.231.2552,046
9470.2.232.0/2170.2.232.1 to 70.2.239.25470.2.239.2552,046
9570.2.240.0/2170.2.240.1 to 70.2.247.25470.2.247.2552,046
9670.2.248.0/2170.2.248.1 to 70.2.255.25470.2.255.2552,046
9770.3.0.0/2170.3.0.1 to 70.3.7.25470.3.7.2552,046
9870.3.8.0/2170.3.8.1 to 70.3.15.25470.3.15.2552,046
9970.3.16.0/2170.3.16.1 to 70.3.23.25470.3.23.2552,046
10070.3.24.0/2170.3.24.1 to 70.3.31.25470.3.31.2552,046
10170.3.32.0/2170.3.32.1 to 70.3.39.25470.3.39.2552,046
10270.3.40.0/2170.3.40.1 to 70.3.47.25470.3.47.2552,046
10370.3.48.0/2170.3.48.1 to 70.3.55.25470.3.55.2552,046
10470.3.56.0/2170.3.56.1 to 70.3.63.25470.3.63.2552,046
10570.3.64.0/2170.3.64.1 to 70.3.71.25470.3.71.2552,046
10670.3.72.0/2170.3.72.1 to 70.3.79.25470.3.79.2552,046
10770.3.80.0/2170.3.80.1 to 70.3.87.25470.3.87.2552,046
10870.3.88.0/2170.3.88.1 to 70.3.95.25470.3.95.2552,046
10970.3.96.0/2170.3.96.1 to 70.3.103.25470.3.103.2552,046
11070.3.104.0/2170.3.104.1 to 70.3.111.25470.3.111.2552,046
11170.3.112.0/2170.3.112.1 to 70.3.119.25470.3.119.2552,046
11270.3.120.0/2170.3.120.1 to 70.3.127.25470.3.127.2552,046
11370.3.128.0/2170.3.128.1 to 70.3.135.25470.3.135.2552,046
11470.3.136.0/2170.3.136.1 to 70.3.143.25470.3.143.2552,046
11570.3.144.0/2170.3.144.1 to 70.3.151.25470.3.151.2552,046
11670.3.152.0/2170.3.152.1 to 70.3.159.25470.3.159.2552,046
11770.3.160.0/2170.3.160.1 to 70.3.167.25470.3.167.2552,046
11870.3.168.0/2170.3.168.1 to 70.3.175.25470.3.175.2552,046
11970.3.176.0/2170.3.176.1 to 70.3.183.25470.3.183.2552,046
12070.3.184.0/2170.3.184.1 to 70.3.191.25470.3.191.2552,046
12170.3.192.0/2170.3.192.1 to 70.3.199.25470.3.199.2552,046
12270.3.200.0/2170.3.200.1 to 70.3.207.25470.3.207.2552,046
12370.3.208.0/2170.3.208.1 to 70.3.215.25470.3.215.2552,046
12470.3.216.0/2170.3.216.1 to 70.3.223.25470.3.223.2552,046
12570.3.224.0/2170.3.224.1 to 70.3.231.25470.3.231.2552,046
12670.3.232.0/2170.3.232.1 to 70.3.239.25470.3.239.2552,046
12770.3.240.0/2170.3.240.1 to 70.3.247.25470.3.247.2552,046
12870.3.248.0/2170.3.248.1 to 70.3.255.25470.3.255.2552,046
12970.4.0.0/2170.4.0.1 to 70.4.7.25470.4.7.2552,046
13070.4.8.0/2170.4.8.1 to 70.4.15.25470.4.15.2552,046
13170.4.16.0/2170.4.16.1 to 70.4.23.25470.4.23.2552,046
13270.4.24.0/2170.4.24.1 to 70.4.31.25470.4.31.2552,046
13370.4.32.0/2170.4.32.1 to 70.4.39.25470.4.39.2552,046
13470.4.40.0/2170.4.40.1 to 70.4.47.25470.4.47.2552,046
13570.4.48.0/2170.4.48.1 to 70.4.55.25470.4.55.2552,046
13670.4.56.0/2170.4.56.1 to 70.4.63.25470.4.63.2552,046
13770.4.64.0/2170.4.64.1 to 70.4.71.25470.4.71.2552,046
13870.4.72.0/2170.4.72.1 to 70.4.79.25470.4.79.2552,046
13970.4.80.0/2170.4.80.1 to 70.4.87.25470.4.87.2552,046
14070.4.88.0/2170.4.88.1 to 70.4.95.25470.4.95.2552,046
14170.4.96.0/2170.4.96.1 to 70.4.103.25470.4.103.2552,046
14270.4.104.0/2170.4.104.1 to 70.4.111.25470.4.111.2552,046
14370.4.112.0/2170.4.112.1 to 70.4.119.25470.4.119.2552,046
14470.4.120.0/2170.4.120.1 to 70.4.127.25470.4.127.2552,046
14570.4.128.0/2170.4.128.1 to 70.4.135.25470.4.135.2552,046
14670.4.136.0/2170.4.136.1 to 70.4.143.25470.4.143.2552,046
14770.4.144.0/2170.4.144.1 to 70.4.151.25470.4.151.2552,046
14870.4.152.0/2170.4.152.1 to 70.4.159.25470.4.159.2552,046
14970.4.160.0/2170.4.160.1 to 70.4.167.25470.4.167.2552,046
15070.4.168.0/2170.4.168.1 to 70.4.175.25470.4.175.2552,046
15170.4.176.0/2170.4.176.1 to 70.4.183.25470.4.183.2552,046
15270.4.184.0/2170.4.184.1 to 70.4.191.25470.4.191.2552,046
15370.4.192.0/2170.4.192.1 to 70.4.199.25470.4.199.2552,046
15470.4.200.0/2170.4.200.1 to 70.4.207.25470.4.207.2552,046
15570.4.208.0/2170.4.208.1 to 70.4.215.25470.4.215.2552,046
15670.4.216.0/2170.4.216.1 to 70.4.223.25470.4.223.2552,046
15770.4.224.0/2170.4.224.1 to 70.4.231.25470.4.231.2552,046
15870.4.232.0/2170.4.232.1 to 70.4.239.25470.4.239.2552,046
15970.4.240.0/2170.4.240.1 to 70.4.247.25470.4.247.2552,046
16070.4.248.0/2170.4.248.1 to 70.4.255.25470.4.255.2552,046
16170.5.0.0/2170.5.0.1 to 70.5.7.25470.5.7.2552,046
16270.5.8.0/2170.5.8.1 to 70.5.15.25470.5.15.2552,046
16370.5.16.0/2170.5.16.1 to 70.5.23.25470.5.23.2552,046
16470.5.24.0/2170.5.24.1 to 70.5.31.25470.5.31.2552,046
16570.5.32.0/2170.5.32.1 to 70.5.39.25470.5.39.2552,046
16670.5.40.0/2170.5.40.1 to 70.5.47.25470.5.47.2552,046
16770.5.48.0/2170.5.48.1 to 70.5.55.25470.5.55.2552,046
16870.5.56.0/2170.5.56.1 to 70.5.63.25470.5.63.2552,046
16970.5.64.0/2170.5.64.1 to 70.5.71.25470.5.71.2552,046
17070.5.72.0/2170.5.72.1 to 70.5.79.25470.5.79.2552,046
17170.5.80.0/2170.5.80.1 to 70.5.87.25470.5.87.2552,046
17270.5.88.0/2170.5.88.1 to 70.5.95.25470.5.95.2552,046
17370.5.96.0/2170.5.96.1 to 70.5.103.25470.5.103.2552,046
17470.5.104.0/2170.5.104.1 to 70.5.111.25470.5.111.2552,046
17570.5.112.0/2170.5.112.1 to 70.5.119.25470.5.119.2552,046
17670.5.120.0/2170.5.120.1 to 70.5.127.25470.5.127.2552,046
17770.5.128.0/2170.5.128.1 to 70.5.135.25470.5.135.2552,046
17870.5.136.0/2170.5.136.1 to 70.5.143.25470.5.143.2552,046
17970.5.144.0/2170.5.144.1 to 70.5.151.25470.5.151.2552,046
18070.5.152.0/2170.5.152.1 to 70.5.159.25470.5.159.2552,046
18170.5.160.0/2170.5.160.1 to 70.5.167.25470.5.167.2552,046
18270.5.168.0/2170.5.168.1 to 70.5.175.25470.5.175.2552,046
18370.5.176.0/2170.5.176.1 to 70.5.183.25470.5.183.2552,046
18470.5.184.0/2170.5.184.1 to 70.5.191.25470.5.191.2552,046
18570.5.192.0/2170.5.192.1 to 70.5.199.25470.5.199.2552,046
18670.5.200.0/2170.5.200.1 to 70.5.207.25470.5.207.2552,046
18770.5.208.0/2170.5.208.1 to 70.5.215.25470.5.215.2552,046
18870.5.216.0/2170.5.216.1 to 70.5.223.25470.5.223.2552,046
18970.5.224.0/2170.5.224.1 to 70.5.231.25470.5.231.2552,046
19070.5.232.0/2170.5.232.1 to 70.5.239.25470.5.239.2552,046
19170.5.240.0/2170.5.240.1 to 70.5.247.25470.5.247.2552,046
19270.5.248.0/2170.5.248.1 to 70.5.255.25470.5.255.2552,046
19370.6.0.0/2170.6.0.1 to 70.6.7.25470.6.7.2552,046
19470.6.8.0/2170.6.8.1 to 70.6.15.25470.6.15.2552,046
19570.6.16.0/2170.6.16.1 to 70.6.23.25470.6.23.2552,046
19670.6.24.0/2170.6.24.1 to 70.6.31.25470.6.31.2552,046
19770.6.32.0/2170.6.32.1 to 70.6.39.25470.6.39.2552,046
19870.6.40.0/2170.6.40.1 to 70.6.47.25470.6.47.2552,046
19970.6.48.0/2170.6.48.1 to 70.6.55.25470.6.55.2552,046
20070.6.56.0/2170.6.56.1 to 70.6.63.25470.6.63.2552,046
20170.6.64.0/2170.6.64.1 to 70.6.71.25470.6.71.2552,046
20270.6.72.0/2170.6.72.1 to 70.6.79.25470.6.79.2552,046
20370.6.80.0/2170.6.80.1 to 70.6.87.25470.6.87.2552,046
20470.6.88.0/2170.6.88.1 to 70.6.95.25470.6.95.2552,046
20570.6.96.0/2170.6.96.1 to 70.6.103.25470.6.103.2552,046
20670.6.104.0/2170.6.104.1 to 70.6.111.25470.6.111.2552,046
20770.6.112.0/2170.6.112.1 to 70.6.119.25470.6.119.2552,046
20870.6.120.0/2170.6.120.1 to 70.6.127.25470.6.127.2552,046
20970.6.128.0/2170.6.128.1 to 70.6.135.25470.6.135.2552,046
21070.6.136.0/2170.6.136.1 to 70.6.143.25470.6.143.2552,046
21170.6.144.0/2170.6.144.1 to 70.6.151.25470.6.151.2552,046
21270.6.152.0/2170.6.152.1 to 70.6.159.25470.6.159.2552,046
21370.6.160.0/2170.6.160.1 to 70.6.167.25470.6.167.2552,046
21470.6.168.0/2170.6.168.1 to 70.6.175.25470.6.175.2552,046
21570.6.176.0/2170.6.176.1 to 70.6.183.25470.6.183.2552,046
21670.6.184.0/2170.6.184.1 to 70.6.191.25470.6.191.2552,046
21770.6.192.0/2170.6.192.1 to 70.6.199.25470.6.199.2552,046
21870.6.200.0/2170.6.200.1 to 70.6.207.25470.6.207.2552,046
21970.6.208.0/2170.6.208.1 to 70.6.215.25470.6.215.2552,046
22070.6.216.0/2170.6.216.1 to 70.6.223.25470.6.223.2552,046
22170.6.224.0/2170.6.224.1 to 70.6.231.25470.6.231.2552,046
22270.6.232.0/2170.6.232.1 to 70.6.239.25470.6.239.2552,046
22370.6.240.0/2170.6.240.1 to 70.6.247.25470.6.247.2552,046
22470.6.248.0/2170.6.248.1 to 70.6.255.25470.6.255.2552,046
22570.7.0.0/2170.7.0.1 to 70.7.7.25470.7.7.2552,046
22670.7.8.0/2170.7.8.1 to 70.7.15.25470.7.15.2552,046
22770.7.16.0/2170.7.16.1 to 70.7.23.25470.7.23.2552,046
22870.7.24.0/2170.7.24.1 to 70.7.31.25470.7.31.2552,046
22970.7.32.0/2170.7.32.1 to 70.7.39.25470.7.39.2552,046
23070.7.40.0/2170.7.40.1 to 70.7.47.25470.7.47.2552,046
23170.7.48.0/2170.7.48.1 to 70.7.55.25470.7.55.2552,046
23270.7.56.0/2170.7.56.1 to 70.7.63.25470.7.63.2552,046
23370.7.64.0/2170.7.64.1 to 70.7.71.25470.7.71.2552,046
23470.7.72.0/2170.7.72.1 to 70.7.79.25470.7.79.2552,046
23570.7.80.0/2170.7.80.1 to 70.7.87.25470.7.87.2552,046
23670.7.88.0/2170.7.88.1 to 70.7.95.25470.7.95.2552,046
23770.7.96.0/2170.7.96.1 to 70.7.103.25470.7.103.2552,046
23870.7.104.0/2170.7.104.1 to 70.7.111.25470.7.111.2552,046
23970.7.112.0/2170.7.112.1 to 70.7.119.25470.7.119.2552,046
24070.7.120.0/2170.7.120.1 to 70.7.127.25470.7.127.2552,046
24170.7.128.0/2170.7.128.1 to 70.7.135.25470.7.135.2552,046
24270.7.136.0/2170.7.136.1 to 70.7.143.25470.7.143.2552,046
24370.7.144.0/2170.7.144.1 to 70.7.151.25470.7.151.2552,046
24470.7.152.0/2170.7.152.1 to 70.7.159.25470.7.159.2552,046
24570.7.160.0/2170.7.160.1 to 70.7.167.25470.7.167.2552,046
24670.7.168.0/2170.7.168.1 to 70.7.175.25470.7.175.2552,046
24770.7.176.0/2170.7.176.1 to 70.7.183.25470.7.183.2552,046
24870.7.184.0/2170.7.184.1 to 70.7.191.25470.7.191.2552,046
24970.7.192.0/2170.7.192.1 to 70.7.199.25470.7.199.2552,046
25070.7.200.0/2170.7.200.1 to 70.7.207.25470.7.207.2552,046
25170.7.208.0/2170.7.208.1 to 70.7.215.25470.7.215.2552,046
25270.7.216.0/2170.7.216.1 to 70.7.223.25470.7.223.2552,046
25370.7.224.0/2170.7.224.1 to 70.7.231.25470.7.231.2552,046
25470.7.232.0/2170.7.232.1 to 70.7.239.25470.7.239.2552,046
25570.7.240.0/2170.7.240.1 to 70.7.247.25470.7.247.2552,046
25670.7.248.0/2170.7.248.1 to 70.7.255.25470.7.255.2552,046

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses